package turgen.tapeimageextractor;

class ExtractionReportCrate {
    
    int totalChunks=0;
    int skippedChunks=0;
    int badHintsChunks=0;
    
    String getFormattedMessage() {
        StringBuilder sb = new StringBuilder();
        sb.append("<HTML>");
        sb.append("<H1>Extraction report</H1>");
        sb.append("Total number of chunks: ");
        sb.append(Integer.toString(totalChunks));
        sb.append("<BR>");
        sb.append("Unextractible chunks skipped: ");
        sb.append(Integer.toString(skippedChunks));
        sb.append("<BR>");
        sb.append("Chunks with hints that caused partial or no extraction: ");
        sb.append(Integer.toString(badHintsChunks));
        sb.append("<BR>");
        sb.append("</HTML>");
        return sb.toString();
    }
    
}
